Vulnerability CVE-2019-10867


Published: 2019-04-04

Description:
An issue was discovered in Pimcore before 5.7.1. An attacker with classes permission can send a POST request to /admin/class/bulk-commit, which will make it possible to exploit the unserialize function when passing untrusted values in the data parameter to bundles/AdminBundle/Controller/Admin/DataObject/ClassController.php.

Type:

CWE-502

(Deserialization of Untrusted Data)

CVSS2 => (AV:N/AC:L/Au:S/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.5/10
6.4/10
8/10
Exploit range
Attack complexity
Authentication
Remote
Low
Single time
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Pimcore -> Pimcore 

 References:
http://packetstormsecurity.com/files/152667/Pimcore-Unserialize-Remote-Code-Execution.html
http://www.rapid7.com/db/modules/exploit/multi/http/pimcore_unserialize_rce
https://github.com/pimcore/pimcore/commit/38a29e2f4f5f060a73974626952501cee05fda73
https://snyk.io/vuln/SNYK-PHP-PIMCOREPIMCORE-173998
https://www.exploit-db.com/exploits/46783/

Copyright 2020, cxsecurity.com

 

Back to Top